Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter.dataformat
Class AttributeDef

`java.lang.Object
oracle.binding.metaimpl.BaseValueObjectDefinition
oracle.binding.metaimpl.BaseAttributeDefinition
oracle.adf.model.adapter.dataformat.AttributeDef`

All Implemented Interfaces:
  AttributeDefinition, Definition, NamedDefinition, VariableDefinition

Direct Known Subclasses:
  AccessorDef

public class AttributeDef
extends oracle.binding.metaimpl.BaseAttributeDefinition

Implements an attrtibute.

Since:
  10.1.3
Version:
  1.0

Field Summary
`static java.lang.String` | `LEAFELEMENT_HINT`
`static java.lang.String` | `LEAFELEMENT_NO_ATTRIBUTE`
`static java.lang.String` | `LEAFELEMENT_WITH_ATTRIBUTE`

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Constructor Summary
`AttributeDef(java.lang.String name, StructureDefinition parent, java.lang.String javaType)` Creates an attribute definition.
`AttributeDef(java.lang.String name, StructureDefinition parent, java.lang.String javaType, boolean isReadOnly, boolean isKey)` Creates an attribute definition.

Method Summary
`void` | `addProperties(java.util.Map props)` Adds custom properties to this object.
`void` | `addProperty(java.lang.String propName, java.lang.Object value)` Adds a custom property to this object.
`java.lang.String` | `getBindPath()` Gets the bind path of the definition if set.
`int` | `getDefinitionType()` Retrieves the type of this definition.
`java.lang.String` | `getFullName()` Returns the full name of the definition.
`java.lang.String` | `getName()` Gets the displyable name.
`java.util.Hashtable` | `getProperties()` Returns a `Hashtable` containing all the custom properties set against this object.
`java.lang.Object` | `getProperty(java.lang.String propName)` Returns a custom property value given its name.
`void` | `setBindPath(java.lang.String path)` Sets the bind path.
`void` | `setName(java.lang.String name)` Sets a displyable name.

Methods inherited from class oracle.binding.metaimpl.BaseAttributeDefinition
`getSourceTypeString, isKey, isReadOnly, setReadOnly, setSourceTypeString`

Methods inherited from class oracle.binding.metaimpl.BaseValueObjectDefinition
`getDataControlDefinition, getDefinitionParent, getJavaTypeString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.binding.meta.VariableDefinition
`getDataControlDefinition, getJavaTypeString`

Methods inherited from interface oracle.binding.meta.NamedDefinition
`getDefinitionParent`

Field Detail

### LEAFELEMENT_HINT

    public static final java.lang.String LEAFELEMENT_HINT

### LEAFELEMENT_NO_ATTRIBUTE

    public static final java.lang.String LEAFELEMENT_NO_ATTRIBUTE

### LEAFELEMENT_WITH_ATTRIBUTE

    public static final java.lang.String LEAFELEMENT_WITH_ATTRIBUTE

Constructor Detail

### AttributeDef

    public AttributeDef(java.lang.String name,
                        StructureDefinition parent,
                        java.lang.String javaType,
                        boolean isReadOnly,
                        boolean isKey)

  Creates an attribute definition.
Parameters:
  `name` - name of this attribute.
  `parent` - parent of this attribute.
  `javaType` - equivalent Java type of this attribute (e.g. java.lang.String).
  `isReadOnly` - flag to determine if the value of this attribute is read-only.
  `isKey` - flag to indicate if the attribute is a key.

### AttributeDef

    public AttributeDef(java.lang.String name,
                        StructureDefinition parent,
                        java.lang.String javaType)

  Creates an attribute definition.
Parameters:
  `name` - name of this attribute.
  `parent` - parent of this attribute.
  `javaType` - equivalent Java type of this attribute (e.g. java.lang.String).

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets a displyable name.

### getName

    public java.lang.String getName()

  Gets the displyable name.

### addProperty

    public void addProperty(java.lang.String propName,
                            java.lang.Object value)

  Adds a custom property to this object.
  Parameters:
    `propName` - Name of the custom property
    `value` - Value of the custom property

### getProperty

    public java.lang.Object getProperty(java.lang.String propName)

  Returns a custom property value given its name.
  Parameters:
    `propName` - Name of the custom property whose value is to be retrieved.
  Returns:
    custom property set against this column-like artefact.

### addProperties

    public void addProperties(java.util.Map props)

  Adds custom properties to this object.
  Parameters:
    `props` - properties have to be added.

### getProperties

    public java.util.Hashtable getProperties()

  Returns a `Hashtable` containing all the custom properties set against this object.
  Returns:
    a `Hashtable` consisting of all the custom properties.

### setBindPath

    public void setBindPath(java.lang.String path)

  Sets the bind path.

### getBindPath

    public java.lang.String getBindPath()

  Gets the bind path of the definition if set.

### getFullName

    public java.lang.String getFullName()

  Returns the full name of the definition.
  Returns:
    If the bind path is defined it returns the bind path. If bind path is not defined and the parent is defined then it returns <parent_path>.<this_name>. Otherwise it returns the name of the definition.

### getDefinitionType

    public int getDefinitionType()

  Description copied from interface: `Definition`
  Retrieves the type of this definition. It can be one of the TYPE_* constants defined in this class. This is useful to find out the actual type of the Definition without doing an instanceof operations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference VERSION B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.